import 'package:niogu_app/features/supplier/domain/entities/supplier.dart';

abstract class ISupplierRepository {
  Stream<List<DisplaySuppliers>> watchSuppliers();

  Future<SupplierDetail> fetchSupplierById(String id);

  Future<int> saveSupplier(UpsertSupplier supplier);

  Future<int> deleteSupplier(String id);
}